Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# dcfp.h File Reference

`#include <stdio.h>`

Go to the source code of this file.

## Compounds
struct | dcfp_data_stype
struct | dcfp_section_stype
struct | dcfp_var_stype
## Typedefs
typedef dcfp_var_stype | dcfp_var_struct
typedef dcfp_section_stype | dcfp_section_struct
typedef dcfp_data_stype | dcfp_data_struct
## Functions
const dcfp_data_struct * | dcfp_parse_file (const char *filename)
void | dcfp_destroy_data_struct (dcfp_data_struct *data)
int | dcfp_global_section_exist (const dcfp_data_struct *data, const char *sectionname)
const dcfp_section_struct * | dcfp_get_global_section_by_name (const dcfp_data_struct *data, const char *name)
const dcfp_section_struct * | dcfp_get_subsection_by_name (const dcfp_section_struct *parentsection, const char *name)
const void * | dcfp_get_global_var (const dcfp_data_struct *data, const char *varname)
const void * | dcfp_get_var_from_section (const dcfp_section_struct *section, const char *varname)

## Typedef Documentation

typedef struct dcfp_data_stype dcfp_data_struct

typedef struct dcfp_section_stype dcfp_section_struct

typedef struct dcfp_var_stype dcfp_var_struct

## Function Documentation

void dcfp_destroy_data_struct | ( | dcfp_data_struct * | data | ) |

const dcfp_section_struct* dcfp_get_global_section_by_name | ( | const dcfp_data_struct * | data,
|  | const char * | name
| ) |

const void* dcfp_get_global_var | ( | const dcfp_data_struct * | data,
|  | const char * | varname
| ) |

const dcfp_section_struct* dcfp_get_subsection_by_name | ( | const dcfp_section_struct * | parentsection,
|  | const char * | name
| ) |

const void* dcfp_get_var_from_section | ( | const dcfp_section_struct * | section,
|  | const char * | varname
| ) |

int dcfp_global_section_exist | ( | const dcfp_data_struct * | data,
|  | const char * | sectionname
| ) |

const dcfp_data_struct* dcfp_parse_file | ( | const char * | filename | ) |